Subject: bug#19737: 24.4; Shift selection misses beginning of region

From: [email-masked]
Date: Fri, 12 Aug 2016 19:13:50 -0400

found 19737 24.5
tags 19737 fixed
close 19737 25.1
quit

Marcin Borkowski <[email-masked]> writes:

> On 2015-02-11, at 15:24, Stefan Monnier <[email-masked]> wrote:
>
>>> Content of .emacs file:
>>> (setq frame-title-format "%b")
>>> (add-hook 'ibuffer-mode-hook (lambda () (ibuffer-auto-mode 1)))
>>
>>> 1. start Emacs
>>> 2. M-x ibuffer
>>> 3. press enter (i.e. select *GNU Emacs*)
>>> 4. do shift selection by holding shift and pressing the right arrow key
>>> several times
>>
>> Hmm... indeed.  This is very peculiar.  The same happens in other
>> buffers.  An important detail seems to be that the "shift+movement" has
>> to be the first thing you do after switching to another buffer.
>
> Hi Ullrich, hi Stefan,
>
> I tried now (GNU Emacs 25.1.50.7, fa2524b) and could not reproduce it.
> Can you confirm that it's ok now or do I miss something?

I confirmed the bug is present in 24.4 and 24.5, but not in 25.1;
closing.